Closed Bug 955496 Opened 7 years ago Closed 7 years ago

Failure to remove selection listener after switching logs in log viewer

Categories

(Instantbird :: Other, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: aleth)

Details

Attachments

(1 file)

*** Original post on bio 2059 at 2013-07-18 13:54:00 UTC ***

Timestamp: 07/18/2013 03:52:50 PM
Error: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsISelectionPrivate.removeSelectionListener]
Source File: chrome://chat/content/convbrowser.xml
Line: 157

STR
Open log viewer
Change the displayed log entry, resetting the convbrowser
Close the log viewer
Attached patch PatchSplinter Review
*** Original post on bio 2059 as attmnt 2607 at 2013-07-18 17:34:00 UTC ***

This cleanly fixes the bug, but I am slightly puzzled by the following: The selectionListener is not found after the HTML document has been reset (causing the bug when trying to remove it). However, a selectionListener still existed (as Magic Copy continued to work in the new conversation). I don't understand this (one would have to look at how they are implemented).
Attachment #8354376 - Flags: review?(florian)
Assignee: nobody → aleth
Status: NEW → ASSIGNED
*** Original post on bio 2059 at 2013-07-18 22:43:38 UTC ***

(In reply to comment #1)

> However, a selectionListener still existed
> (as Magic Copy continued to work in the new conversation).

How have you tested magic copy?

The selection listener is used only on Linux/*BSD to handle being able to select something to copy it, and then just middle click to paste it.

If you used the Ctrl-c/Ctrl-v keyboard bindings for your test, you didn't test the selection listener.
*** Original post on bio 2059 at 2013-07-19 14:06:29 UTC ***

(In reply to comment #2)
> (In reply to comment #1)
> 
> > However, a selectionListener still existed
> > (as Magic Copy continued to work in the new conversation).
> 
> How have you tested magic copy?
> 
> The selection listener is used only on Linux/*BSD to handle being able to
> select something to copy it, and then just middle click to paste it.
> 
> If you used the Ctrl-c/Ctrl-v keyboard bindings for your test, you didn't test
> the selection listener.

Aha! I did not know this. Testing this, we do currently lose the selection listener when opening a different log entry. (The patch is still correct.)
Comment on attachment 8354376 [details] [diff] [review]
Patch

*** Original change on bio 2059 attmnt 2607 at 2013-07-19 21:55:33 UTC ***

Thanks!
Attachment #8354376 - Flags: review?(florian) → review+
*** Original post on bio 2059 at 2013-07-19 22:07:45 UTC ***

http://hg.instantbird.org/instantbird/rev/b258142aa373
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.